import es

info = es.AddonInfo()
info['name']        = "Head Shot Only"
info['version']     = "1.0.0"
info['author']      = "DanielB" 
info['url']         = "http://forums.eventscripts.com/viewtopic.php?t=34141" 
info['description'] = "Head Shot Only gameplay mod" 

dm = es.import_addon('dm')

# We require the prehooking functions, so minver is 2.0.3
if not dm.minver('2.0.3'):
    raise NotImplementedError, 'Please update your dm version'
if dm.usePureES:
    raise NotImplementedError, 'This addon require SPE or NT to run'
    
def load():
    dm.registerPreHook('player_hurt', pre_player_hurt)
    dm.msg('Loaded Addon - Head Shot Only')
    
def unload():
    dm.unregisterPreHook('player_hurt', pre_player_hurt)
    dm.msg('Unloaded Addon - Head Shot Only')
    
def pre_player_hurt(event_var):
    if int(event_var['hitgroup']) != 1:
        userid = event_var['userid']
        damage = int(event_var['dmg_health'])
        health = int(es.getplayerprop(userid, 'CBasePlayer.m_iHealth'))
        es.setplayerprop(userid, 'CBasePlayer.m_iHealth', health+damage)
    
        
    